Package org.eclipse.cdt.utils.xcoff

# Class XCoff32.OptionalHeader

java.lang.Object
org.eclipse.cdt.utils.xcoff.XCoff32.OptionalHeader

Enclosing class:
  `XCoff32`

public static class XCoff32.OptionalHeader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AOUTHDRSZ`
`int`
`bsize`
`int`
`data_start`
`int`
`dsize`
`int`
`entry`
`short`
`magic`
`short`
`o_algndata`
`short`
`o_algntext`
`byte`
`o_cpuflag`
`byte`
`o_cputype`
`int`
`o_debugger`
`int`
`o_maxdata`
`int`
`o_maxstack`
`short`
`o_modtype`
`short`
`o_snbss`
`short`
`o_sndata`
`short`
`o_snentry`
`short`
`o_snloader`
`short`
`o_sntext`
`short`
`o_sntoc`
`int`
`o_toc`
`int`
`text_start`
`int`
`tsize`
`short`
`vstamp`

## Constructor Summary

Constructors
Constructor
Description
`OptionalHeader(RandomAccessFile file)`
`OptionalHeader(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### AOUTHDRSZ

public static final int AOUTHDRSZ

See Also:
  - Constant Field Values

### magic

public short magic

### vstamp

public short vstamp

### tsize

public int tsize

### dsize

public int dsize

### bsize

public int bsize

### entry

public int entry

### text_start

public int text_start

### data_start

public int data_start

### o_toc

public int o_toc

### o_snentry

public short o_snentry

### o_sntext

public short o_sntext

### o_sndata

public short o_sndata

### o_sntoc

public short o_sntoc

### o_snloader

public short o_snloader

### o_snbss

public short o_snbss

### o_algntext

public short o_algntext

### o_algndata

public short o_algndata

### o_modtype

public short o_modtype

### o_cpuflag

public byte o_cpuflag

### o_cputype

public byte o_cputype

### o_maxstack

public int o_maxstack

### o_maxdata

public int o_maxdata

### o_debugger

public int o_debugger

## Constructor Details

### OptionalHeader

public OptionalHeader(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### OptionalHeader

public OptionalHeader(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`